package com.vcarecity.cvs.starter;

import com.google.inject.Inject;
import com.vcarecity.cvs.properties.AppProperties;
import com.vcarecity.cvs.service.impl.OracleQueryServiceImpl;
import com.vcarecity.cvs.util.CreateDatasource;
import com.zaxxer.hikari.HikariDataSource;

/**
 * @author Kerry on 19/12/03
 */

public class ThreadPoolStarter {

    private final AppProperties properties;

    @Inject
    public ThreadPoolStarter(AppProperties properties) {
        this.properties = properties;
    }

    public void start() {
        HikariDataSource fromDatasource = CreateDatasource.createDataSource(properties.getFromDb());
        HikariDataSource toDatasource = CreateDatasource.createDataSource(properties.getToDb());


        final OracleQueryServiceImpl oracleQueryService = new OracleQueryServiceImpl(fromDatasource);


    }


}
