package com.vcarecity.cvs.type;

/**
 * @author Kerry on 19/12/03
 */

public enum ResultHandlerEnum {
    CSV("csv"),
    MYSQL("mysql"),
    MYSQL_PS("mysqlps"),
    DEFAULT("");
    private String type;

    ResultHandlerEnum(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public static ResultHandlerEnum fromType(String type) {
        if (type == null) {
            return ResultHandlerEnum.DEFAULT;
        }
        for (ResultHandlerEnum value : values()) {
            if (value.getType().equalsIgnoreCase(type)) {
                return value;
            }
        }
        return ResultHandlerEnum.DEFAULT;
    }
}
