package com.vcarecity.cvs.event;

/**
 * @author Kerry on 19/11/29
 */

public interface ExportEventListener {

    /**
     * 导出之前
     *
     * @param filename
     */
    void beforeExport(String filename);

    /**
     * 导出成功
     *
     * @param filename
     * @param table
     * @param header
     */
    void exportSuccess(String filename, String table, String[] header);

    /**
     * 异常
     *
     * @param throwable
     */
    void exceptionCatch(Throwable throwable);


}
