package com.vcarecity.cvs.service;

import java.sql.SQLException;
import java.util.List;

/**
 * @author Kerry on 19/11/21
 */

public interface SQLQueryService {

    /**
     * query by page
     *
     * @param table
     * @param page      页面
     * @param pageCount 一页的数量
     * @param clazz
     * @param <T>
     * @return
     * @throws SQLException
     */
    <T> List<T> queryByPage(String table, int page, int pageCount, Class<T> clazz) throws SQLException;

}
